import request from '@/utils/request'

// 查询家长管理列表
export function listParent(query) {
  return request({
    url: '/system/parent/list',
    method: 'get',
    params: query
  })
}

// 查询家长管理详细
export function getParent(id) {
  return request({
    url: '/system/parent/' + id,
    method: 'get'
  })
}

// 新增家长管理
export function addParent(data) {
  return request({
    url: '/system/parent',
    method: 'post',
    data: data
  })
}

// 修改家长管理
export function updateParent(data) {
  return request({
    url: '/system/parent',
    method: 'put',
    data: data
  })
}

// 删除家长管理
export function delParent(id) {
  return request({
    url: '/system/parent/' + id,
    method: 'delete'
  })
}
